{{ ansible_managed | comment }}

[global]
  workgroup: {{ samba_configuration_global.workgroup }}
  security: {{ samba_configuration_global.security }}
  passdb backend: {{ samba_configuration_global.passdb_backend }}
  load_printers: {{ samba_configuration_global.load_printers }}

{% if samba_configuration_homes.enabled | default(false) %}
[homes]
  comment = {{ samba_configuration_homes.comment }}
  available = {{ samba_configuration_homes.available }}
  valid users = {{ samba_configuration_homes.valid_users }}
  browsable = {{ samba_configuration_homes.browsable }}
  read only = {{ samba_configuration_homes.read_only }}
  inherit acls = {{ samba_configuration_homes.inherit_acls }}
{% endif %}

{% if samba_configuration_sections | length > 0 %}
{% for section in samba_configuration_sections %}
[{{ section.name }}]
  comment = {{ section.comment }}
  path = {{ section.path }}
  available = {{ section.available | default('Yes') }}
  browsable = {{ section.browsable | default('Yes') }}
  read only = {{ section.read_only | default('Yes') }}
  create mode = {{ section.create_mode }}
  directory mode = {{ section.directory_mode }}
  valid users = {{ section.valid_users }}
  force group = {{ section.force_group }}
{% endfor %}
{% endif %}
